Changeset 140782 for trunk/dports/math


Ignore:
Timestamp:
Oct 2, 2015, 6:33:41 PM (4 years ago)
Author:
michaelld@…
Message:

octave: use fltk-devel on 10.11 for now; add a note about octave and the next fltk release.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/math/octave/Portfile

    r139469 r140782  
    234234variant glgui conflicts x11 description {Enable OpenGL GUI (via FLTK) as the default graphical front-end} {
    235235
    236     depends_lib-append path:lib/libfltk.dylib:fltk \
    237                        port:fontconfig \
     236    # for now on OSX 10.11, just use fltk-devel since fltk does not
     237    # build; remove this condition with the next fltk release (noted
     238    # in that Portfile too).
     239
     240    if {${os.major} == 15} {
     241        depends_lib-append port:fltk-devel
     242    } else {
     243        depends_lib-append path:lib/libfltk.dylib:fltk
     244    }
     245
     246    depends_lib-append port:fontconfig \
    238247                       port:freetype \
    239248                       port:gl2ps
Note: See TracChangeset for help on using the changeset viewer.